Skip to content

Register a new user

User

Returns a Json User. The profile_field option in the request body provides a way to add profile fields to the registration. The key refers to an existing profile field id. Note that profile fields can be set as mandatory registration fields.

POST
/user/register

Request Body

application/json
JSON
{
  
"data": {
  
  
"email": "user@insided.com",
  
  
"username": "user",
  
  
"password": "asdTW$sdjksd",
  
  
"user_role": [
  
  
  
[
  
  
  
  
"roles.registered",
  
  
  
  
"Option A",
  
  
  
  
"Option B",
  
  
  
  
"Other"
  
  
  
]
  
  
],
  
  
"profile_field": {
  
  
  
"additionalProperties": [
  
  
  
  
"string"
  
  
  
]
  
  
},
  
  
"sso": {
  
  
  
"additionalProperties": [
  
  
  
  
"string"
  
  
  
]
  
  
}
  
}
}

Responses

Successful response

application/json
JSON
{
  
"user": {
  
  
"userid": 0,
  
  
"email": "user@insided.com",
  
  
"username": "user",
  
  
"rank": "string",
  
  
"joindate": 0,
  
  
"sso": {
  
  
  
"additionalProperties": [
  
  
  
  
"string"
  
  
  
]
  
  
}
  
}
}

Samples

Gainsight CC Developer Portal